# signmessage - Dogecoin {disallowed}

This method signs a message with the private key of an address.

{% hint style="info" %}

* Requires the private key for the address to be in the wallet.
* May not work on shared nodes if wallet access is restricted.
* Use `verifymessage` to verify signatures.
  {% endhint %}

## Parameters

| Parameter | Type   | Required | Description                        |
| --------- | ------ | -------- | ---------------------------------- |
| address   | string | Yes      | The Dogecoin address to sign with. |
| message   | string | Yes      | The message to sign.               |

## Request

{% tabs %}
{% tab title="cURL" %}
{% code overflow="wrap" %}

```bash
curl --location --request POST 'https://go.getblock.io/<ACCESS-TOKEN>/' \
--header 'Content-Type: application/json' \
--data-raw '{
    "jsonrpc": "2.0",
    "method": "signmessage",
    "params": ["DLGbK6mCjBT67r8wjJqCg8hkFiBYV5JquH", "Hello, Dogecoin!"],
    "id": "getblock.io"
}'
```

{% endcode %}
{% endtab %}

{% tab title="Axios" %}
{% code overflow="wrap" %}

```javascript
import axios from 'axios';

const data = JSON.stringify({
    "jsonrpc": "2.0",
    "method": "signmessage",
    "params": ["DLGbK6mCjBT67r8wjJqCg8hkFiBYV5JquH", "Hello, Dogecoin!"],
    "id": "getblock.io"
});

const config = {
    method: 'post',
    url: 'https://go.getblock.io/<ACCESS-TOKEN>/',
    headers: {
        'Content-Type': 'application/json'
    },
    data: data
};

axios(config)
    .then(response => console.log(JSON.stringify(response.data)))
    .catch(error => console.log(error));
```

{% endcode %}
{% endtab %}

{% tab title="Request" %}
{% code overflow="wrap" %}

```python
import requests
import json

url = "https://go.getblock.io/<ACCESS-TOKEN>/"

payload = json.dumps({
    "jsonrpc": "2.0",
    "method": "signmessage",
    "params": ["DLGbK6mCjBT67r8wjJqCg8hkFiBYV5JquH", "Hello, Dogecoin!"],
    "id": "getblock.io"
})

headers = {
    'Content-Type': 'application/json'
}

response = requests.post(url, headers=headers, data=payload)
print(response.text)
```

{% endcode %}
{% endtab %}

{% tab title="Rust" %}
{% code overflow="wrap" %}

```rust
use reqwest::header;

#[tokio::main]
async fn main() -> Result<(), Box<dyn std::error::Error>> {
    let client = reqwest::Client::new();
    
    let response = client
        .post("https://go.getblock.io/<ACCESS-TOKEN>/")
        .header(header::CONTENT_TYPE, "application/json")
        .body(r#"{
            "jsonrpc": "2.0",
            "method": "signmessage",
    "params": ["DLGbK6mCjBT67r8wjJqCg8hkFiBYV5JquH", "Hello, Dogecoin!"],
            "id": "getblock.io"
        }"#)
        .send()
        .await?;
    
    println!("{}", response.text().await?);
    Ok(())
}
```

{% endcode %}
{% endtab %}
{% endtabs %}

## Response

{% code title="Response (JSON)" %}

```json
{
    "result": "H1b2c3d4e5f6g7h8i9j0...",
    "error": null,
    "id": "getblock.io"
}
```

{% endcode %}

## Response Parameters

| Field  | Type   | Description                      |
| ------ | ------ | -------------------------------- |
| result | string | The base64-encoded signature.    |
| error  | null   | Error object (null if no error). |
| id     | string | Request identifier.              |

## Use Case

The `signmessage` method is essential for:

* Proving address ownership
* Authentication systems
* Cryptographic verification
* Digital signatures
* Identity verification

## Error Handling

| Error Code | Message                   | Cause                            |
| ---------- | ------------------------- | -------------------------------- |
| -3         | Invalid address           | Invalid Dogecoin address.        |
| -4         | Private key not available | Address not in wallet.           |
| 403        | Forbidden                 | Missing or invalid ACCESS-TOKEN. |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.getblock.io/api-reference/dogecoin-doge/signmessage-dogecoin-disallowed.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
